Members Class Reference
Generic RTP input queues.

members and senders accounting More...

`#include <iqueue.h>`

Inheritance diagram for Members:

## Public Member Functions

void | setMembersCount (uint32 n)
void | increaseMembersCount ()
void | decreaseMembersCount ()
uint32 | getMembersCount () const
void | setSendersCount (uint32 n)
void | increaseSendersCount ()
void | decreaseSendersCount ()
uint32 | getSendersCount () const

## Protected Member Functions

| Members ()
virtual | ~Members ()

## Detailed Description

members and senders accounting

Records the number of members as well as active senders. For now, it is too simple.

Author
  Federico Montesino Pouzols fedem.nosp@m.p@al.nosp@m.tern..nosp@m.org

## Constructor & Destructor Documentation

Members::Members | ( |  | ) |

inline protected

virtual Members::~Members | ( |  | ) |

inline protected virtual

## Member Function Documentation

void Members::decreaseMembersCount | ( |  | ) |

inline

void Members::decreaseSendersCount | ( |  | ) |

inline

uint32 Members::getMembersCount | ( |  | ) | const

inline

uint32 Members::getSendersCount | ( |  | ) | const

inline

void Members::increaseMembersCount | ( |  | ) |

inline

void Members::increaseSendersCount | ( |  | ) |

inline

void Members::setMembersCount | ( | uint32 | n | ) |

inline

void Members::setSendersCount | ( | uint32 | n | ) |

inline

The documentation for this class was generated from the following file:

- iqueue.h